8086:4238 wireless fails to send/receive data intermittently

Bug #1103755 reported by Craig Magina on 2013-01-23
54
This bug affects 10 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

This did not occur with 12.10, but I am unsure of when during the raring release it started happening. The system appears to be connected, but no data gets through and you can find a series of these messages in dmesg.

[17181.443299] iwlwifi 0000:03:00.0: fail to flush all tx fifo queues

To workaround this issue currently, I use the RF kill switch to reset the wireless chip. My laptop is a Lenovo T410s with the Intel Corporation Centrino Ultimate-N 6300 (rev 35) wireless chipset.

ProblemType: Bug
DistroRelease: Ubuntu 13.04
Package: linux-image-3.8.0-1-generic 3.8.0-1.5
ProcVersionSignature: Ubuntu 3.8.0-1.5-generic 3.8.0-rc4
Uname: Linux 3.8.0-1-generic x86_64
ApportVersion: 2.8-0ubuntu2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: valdiyen 2444 F.... pulseaudio
Date: Wed Jan 23 18:09:12 2013
EcryptfsInUse: Yes
HibernationDevice: RESUME=UUID=1ee4cce6-4d3b-4a84-9c02-e2f87b975ed5
InstallationDate: Installed on 2013-01-21 (2 days ago)
InstallationMedia: Kubuntu 13.04 "Raring Ringtail" - Alpha amd64 (20130121)
MachineType: LENOVO 2901CTO
MarkForUpload: True
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.8.0-1-generic root=/dev/mapper/kubuntu--vg-root ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.8.0-1-generic N/A
 linux-backports-modules-3.8.0-1-generic N/A
 linux-firmware 1.99
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 04/25/2012
dmi.bios.vendor: LENOVO
dmi.bios.version: 6UET69WW (1.49 )
dmi.board.name: 2901CTO
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr6UET69WW(1.49):bd04/25/2012:svnLENOVO:pn2901CTO:pvrThinkPadT410s:rvnLENOVO:rn2901CTO:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 2901CTO
dmi.product.version: ThinkPad T410s
dmi.sys.vendor: LENOVO

Craig Magina (craig.magina) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

I'd like to perform a bisect to figure out what commit caused this regression. It would be very helpful to know the earliest kernel where the issue started happening as well as the latest kernel that did not have this issue.

Can you test the following kernels and report back? We are looking for the first kernel version that exhibits this bug:

v3.5.7: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.5.7-quantal/
v3.6 final: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6-quantal/
v3.7-rc3: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.7-rc3-raring/

You don't have to test every kernel, just up until the kernel that first has this bug.

Thanks in advance!

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
tags: added: performing-bisect
summary: - wireless fails to send/receive data intermittently
+ 8086:4238 wireless fails to send/receive data intermittently
tags: added: needs-upstream-testing regression-release
Seif Lotfy (seif) wrote :

Hmmm mine fails to load the module completely... Using 12.10 from a usb i manage to load the module though

Seif Lotfy (seif) wrote :

I tested all 3 kernel above

Seif Lotfy, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

Ronni (ronni-jensen) wrote :

It seems to have gotten worse with 3.8.0.2.15, now wireless "falls asleep" within five minutes of inactivity, but I'd say the bug came with 3.8.0.1.14.

Ronni (ronni-jensen) wrote :

Might be unrelated, but wireless stopped working and all I got from dmesg was:
[ 2813.968308] atl1c 0000:10:00.0: vpd r/w failed. This is likely a firmware bug on this device. Contact the card vendor for a firmware update.

Ronni, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

James Hunt (jamesodhunt) wrote :

I have the same problem - I also have a T410. This time no messages in dmesg/syslog, but a 'sudo modprobe -r iwldvm' (which removed iwlfiwi automatically) allowed me to continue working on ethernet after the wifi died.

I'm running with 'options swcrypto=1 11n_disable=1 power_save=0' in /etc/modprobe.d/iwlwifi.conf.

Robbie Williamson (robbiew) wrote :

This is happening on my Thinkpad X1 Carbon with Raring. I will attach bug information.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: apport-collected running-unity

ApportVersion: 2.8-0ubuntu4
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: robbiew 1688 F.... pulseaudio
DistroRelease: Ubuntu 13.04
HibernationDevice: RESUME=UUID=926f3d1c-1af0-4ea1-8bf0-1c591a897562
InstallationDate: Installed on 2013-01-26 (11 days ago)
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
MachineType: LENOVO 3443CTO
MarkForUpload: True
Package: linux (not installed)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-4-generic root=UUID=e5170156-804e-43a6-bde8-334c96fe0aeb ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.8.0-4.8-generic 3.8.0-rc6
RelatedPackageVersions:
 linux-restricted-modules-3.8.0-4-generic N/A
 linux-backports-modules-3.8.0-4-generic N/A
 linux-firmware 1.100
Tags: raring running-unity
Uname: Linux 3.8.0-4-generic x86_64
UpgradeStatus: Upgraded to raring on 2013-01-26 (11 days ago)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 11/20/2012
dmi.bios.vendor: LENOVO
dmi.bios.version: G6ET66WW (2.10 )
dmi.board.asset.tag: Not Available
dmi.board.name: 3443CTO
dmi.board.vendor: LENOVO
dmi.board.version: Not Defined
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvrG6ET66WW(2.10):bd11/20/2012:svnLENOVO:pn3443CTO:pvrThinkPadX1Carbon:rvnLENOVO:rn3443CTO:rvrNotDefined:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 3443CTO
dmi.product.version: ThinkPad X1 Carbon
dmi.sys.vendor: LENOVO

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Joseph Salisbury (jsalisbury) wrote :

I'd like to perform a bisect to figure out what commit caused this regression. It would be very helpful to know the earliest kernel where the issue started happening as well as the latest kernel that did not have this issue.

Can folks affected by this bug test the following kernels and report back? We are looking for the first kernel version that exhibits this bug:

v3.5.7: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.5.7-quantal/
v3.6 final: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6-quantal/
v3.7-rc3: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.7-rc3-raring/

You don't have to test every kernel, just up until the kernel that first has this bug.

Thanks in advance!

Robbie Williamson (robbiew) wrote :

Hey Joseph,

I think after doing some more digging, this is a Network Manager bug (I filed it under bug #1118446). I checked Craig's WifiSyslog.txt attachment and it has the same error message as what is recorded in this new bug:
 NetworkManager[pid]: <warn> nl_recvmsgs() error: (-33) Dump inconsistency detected, interrupted

I also think it's NM, because I can recover by running: sudo service network-manager restart.

I can still test your kernels, but I think if it were iwlwifi related, bouncing nm would not have helped. Thoughts?

Joseph Salisbury (jsalisbury) wrote :

Hi Robbie,

Thanks for the feedback. One way to confirm this is network manager would be to install a v3.5 kernel[0] on a Raring install and the problem should still exist. If it does, then it probably isn't the kernel.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.5.7-quantal/

Robbie Williamson (robbiew) wrote :

Okay. So let me first disable the 11n stuff, as I know that used to be an issue in the past. If it still happens, I'll try the quantal kernel.

Robbie Williamson (robbiew) wrote :

So no drops since I enabled the 11n_disable option. It appears iwlwifi support for 11n hasn't progressed as much as I'd hope. :/

Ronni (ronni-jensen) wrote :

I haven't experienced any drops after I disabled N-networking and I've had my laptop running almost all day over the weekend.

Seif Lotfy (seif) wrote :

Robbie: How did you disable that?

Joseph Salisbury (jsalisbury) wrote :

@Seif,

You can set
options iwlwifi 11n_disable=1
in
/etc/modprobe.d/iwlwifi.conf

tags: added: bios-outdated-v1.50
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired

Craig Magina, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.11-rc3

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

Changed in linux (Ubuntu):
status: Expired → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.